RnBeads
max planck institut
informatik
mpii logo Minerva of the Max Planck Society
 

RnBeads

Installation

NOTE: If you have suggestions for improving RnBeads or if you run into technical problems, please feel free to contact us at rnbeads@mpi-inf.mpg.de - ideally with a detailed description and test case illustrating your point.

We are happy you chose to try RnBeads! Installing it is very easy - we provided a short tutorial in PDF form that highlights the basic steps. In essence, all you need to do is start an R session and type the following command:

source("http://rnbeads.mpi-inf.mpg.de/install.R")

It executes the installation script we provided on this website that takes care of downloading all dependencies, as well as the RnBeads package itself.

RnBeads and its companion data packages are compatible with all recent R versions starting from R version 3.0.0.

If you are working with bisulfite sequencing data from the mouse or rat genome or the most recent human genome assembly, you need to install the corresponding data packages from bioconductor listed below. For example, the following command installs the data package for the mouse genome assembly mm10:

source("https://bioconductor.org/biocLite.R")
biocLite("RnBeads.mm10")

Package Files

If you are an experienced R user and wish to install RnBeads manually, you need to install main package as well as the data packages from Bioconductor.

Version: Release Development
Main Package RnBeads release RnBeads devel
Data Packages RnBeads.hg19 release
RnBeads.hg38 release
RnBeads.mm10 release
RnBeads.mm9 release
RnBeads.rn5 release
RnBeads.hg19 devel
RnBeads.hg38 devel
RnBeads.mm10 devel
RnBeads.mm9 devel
RnBeads.rn5 devel

Troubleshooting

If you encounter any problems, check the package vignette, where we provide detailed instructions for manual installation, or contact us at rnbeads@mpi-inf.mpg.de.

Previous Package Versions

Older versions of the package are available for download in the tables below. You can also install previous version of RnBeads on R 2.15.1 (2012-06-22). To find out which version of R is installed on your computer, please run the following R command:

R.Version()$version.string

for R 3.x

Operating System: Linux or MacOS Windows
Main Package (version 0.99.19) RnBeads_0.99.19.tar.gz RnBeads_0.99.19.zip
Main Package (version 0.99.18) RnBeads_0.99.18.tar.gz RnBeads_0.99.18.zip
Main Package (version 0.99.17) RnBeads_0.99.17.tar.gz RnBeads_0.99.17.zip
Main Package (version 0.99.16) RnBeads_0.99.16.tar.gz RnBeads_0.99.16.zip
Main Package (version 0.99.15) RnBeads_0.99.15.tar.gz RnBeads_0.99.15.zip
Data Package: hg19 (version 0.99.2) RnBeads.hg19_0.99.2.tar.gz RnBeads.hg19_0.99.2.zip
Data Package: mm10 (version 0.99.0) RnBeads.mm10_0.99.0.tar.gz RnBeads.mm10_0.99.0.zip
Data Package: mm9 (version 0.99.0) RnBeads.mm9_0.99.0.tar.gz RnBeads.mm9_0.99.0.zip
Data Package: rn5 (version 0.99.0) RnBeads.rn5_0.99.0.tar.gz RnBeads.rn5_0.99.0.zip
Data Package: hg19 (version 0.99.1) RnBeads.hg19_0.99.1.tar.gz RnBeads.hg19_0.99.1.zip
Data Package: hg19 (version 0.99.0) RnBeads.hg19_0.99.0.tar.gz RnBeads.hg19_0.99.0.zip

for R 2.15.x

Operating System: Linux or MacOS Windows
Main Package (version 0.99.9) RnBeads_0.99.9.tar.gz RnBeads_0.99.9.zip
Data Package (version 0.99.0) RnBeadsData_0.99.9.tar.gz RnBeadsData_0.99.9.zip